CreateKeyInput
Interface: CreateKeyInput
Defined in: src/types/key.types.ts:2
Input for creating a new S3 or Swift key for a user.
Properties
accessKey?
optionalaccessKey:string
Defined in: src/types/key.types.ts:8
Specify an access key instead of auto-generating.
generateKey?
optionalgenerateKey:boolean
Defined in: src/types/key.types.ts:16
Whether to auto-generate the key. Default: true.
keyType?
optionalkeyType:"s3"|"swift"
Defined in: src/types/key.types.ts:6
Key type. Default: 's3'.
secretKey?
optionalsecretKey:string
Defined in: src/types/key.types.ts:14
Specify a secret key instead of auto-generating.
Remarks
This value is transmitted as a query parameter per the RGW Admin Ops API wire format. It is redacted from debug logs by the client.
uid
uid:
string
Defined in: src/types/key.types.ts:4
User ID to create the key for. Required.